/*
 * Copyright (C) 2008 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 */
#ifndef __APPSTARTER_H__
#define __APPSTARTER_H__

#include <stdio.h>
#include <gtk/gtk.h>
#include <libxfcegui4/xfce-heading.h>
#include <gmodule.h>

#include "config.h"
#include "libappstarter/as.h"

#define DESKTOPDIR DATADIR "/appstarter/plugins"

typedef GtkWidget * (* GetWidgetFunc) (gchar *file);
typedef gchar * (* GetCmdFunc) (void);
typedef void (* FreeFunc) (void);

typedef struct _App {
    gchar *name;
    gchar *icon;
    gchar *display_name;
    GModule *module;
} app;

typedef struct _UI {
    GtkWidget    *dialog;
    GtkWidget    *vbox;
    GtkWidget    *config;
    GtkWidget    *combo;
    GtkWidget    *onlyme;
    GtkWidget    *killss;
    GtkListStore *store;
    XfceHeading  *head;

    /* settings */
    gchar *selected;
    gchar *conffile;
} interface;

#endif /* __APPSTARTER_H__ */
